#!/bin/sh

if [ "$1" == "" ] || [ "$2" == "" ] || [ "$3" == "" ]
then
    echo "Usage: $0 <user> <domain> <spamdir>"
    exit 0
fi

USER=$1
DOMAIN=$2
SPAMDIR=$3

# Delete all of the old rules from the db
CLEARQUERY="delete from spam_rules where
  email_id=(select id from email_addresses where email_name='$USER' and domain='$DOMAIN');"
for CFILE in $SPAMDIR/*
  do
  KEY=`basename $CFILE`
  VALUE=`cat $CFILE`
  # Insert the new rules into the db 
  INSERTQUERY="insert into spam_rules (value,spam_rule_type_id,email_id) values
('$VALUE', (select id from spam_rule_types where name='$KEY'),
(select id from email_addresses where email_name='$USER' and domain='$DOMAIN')); $INSERTQUERY"
done
#echo $QUERY
psql -U user_acl_owner -h fortknox -c "$CLEARQUERY $INSERTQUERY" user_acl
